Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna
Class ObjectModel

    java.lang.Object
      com.arjuna.ats.arjuna.ObjectModel

public class ObjectModel
extends java.lang.Object

An enumeration of the types of object model supported. Based upon the model type, certain optimisations may be used.

Since:
  JTS 1.0.
Version:
  $Id: ObjectModel.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `MULTIPLE` In the MULTIPLE model, it is assumed that multiple instances of the object may exist in different JVMs concurrently.
`static int` | `SINGLE` In the SINGLE model, it is assumed that only a single instance of the object will exist within a single JVM.

Constructor Summary
`ObjectModel()`

Method Summary
`static void` | `print(java.io.PrintWriter strm, int os)` Print out a human-readable form of the model type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLE

    public static final int SINGLE

  In the SINGLE model, it is assumed that only a single instance of the object will exist within a single JVM.

  See Also:
    Constant Field Values

### MULTIPLE

    public static final int MULTIPLE

  In the MULTIPLE model, it is assumed that multiple instances of the object may exist in different JVMs concurrently.

  See Also:
    Constant Field Values

Constructor Detail

### ObjectModel

    public ObjectModel()

Method Detail

### print

    public static void print(java.io.PrintWriter strm,
                             int os)

  Print out a human-readable form of the model type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD